Bug 614090 - Unable to delete saved searches
Summary: Unable to delete saved searches
Status: CLOSED CURRENTRELEASE
Alias: None
Product: RHQ Project
Classification: Other
Component: SearchBar (Show other bugs)
(Show other bugs)
Version: 3.0.0
Hardware: All Linux
urgent
medium vote
Target Milestone: ---
: ---
Assignee: Joseph Marques
QA Contact: John Sanda
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: jon24-search
TreeView+ depends on / blocked
 
Reported: 2010-07-13 16:41 UTC by John Sanda
Modified: 2010-08-12 16:48 UTC (History)
1 user (show)

Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 16:48:01 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Sanda 2010-07-13 16:41:39 UTC
Description of problem:
When I click on the trash can icon for a saved search, the row is removed from the list; however, when I reload the page, the search still appears in the list. This is happening on both the Resources and Groups tabs.

I was testing this on build 139 of the ci-rhq-release hudson job.

Version-Release number of selected component (if applicable):

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Joseph Marques 2010-07-13 17:43:32 UTC
commit 978b418ff8f86fbaf0b0c1e60fa9a4a3a8734d23
Author: Joseph Marques <joseph@redhat.com>
Date:   Tue Jul 13 13:40:34 2010 -0400

BZ-614087, BZ-614090: fix selection/deletion of saved searches
    
* was incorrectly using "name (count)" to look up saved search entry instead of "name"
* improve debug logging a bit

Comment 2 John Sanda 2010-07-14 13:50:08 UTC
Verified that this has been fixed on build 152 of the ci-rhq-release hudson job.

Comment 3 Corey Welton 2010-08-12 16:48:01 UTC
Mass-closure of verified bugs against JON.


Note You need to log in before you can comment on or make changes to this bug.